/*
 * Common image-related functions.
 *
 * Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __IMAGE_H__
#define __IMAGE_H__

#include <stdint.h>



/* Image data type. */

typedef struct
{
    /* Image width and height. */

    uint32_t width, height;

    /* Image data. */

    uint8_t image[];

} image_t;

/* Stored display regions. */

typedef struct
{
    /* Stored region overplotted by the sprite. */

    uint8_t *image;
    int stored;

    /* Position of the stored region. */

    int x, y;

} stored_region_t;



/* Initialise the stored regions. */

void init_stored_regions(stored_region_t *r, int frames,
                         uint8_t *regions, uint32_t region_size);

#endif /* __IMAGE_H__ */
